from scipy.stats import powerlaw, pareto
from rd_pr.simple import uniform
import numpy as np


def frechet(sz, c, loc=0, scale=1):
    un = uniform(sz)
    return loc + scale*((np.log(1/un))**(-1/c))


def pwrlaw(a, sz, loc, sc):
    res = sc/powerlaw.rvs(a, size=sz) + loc
    if sz == 1:
        return res[0]
    return res


def cauchy_st(sz):
    res = np.random.standard_cauchy(sz)
    if sz == 1:
        return res[0]
    return res


def gumbel(sz, loc, sc):
    return np.random.gumbel(loc, sc, sz)


def paret(b, sz, loc):
    return pareto.rvs(b, size=sz, loc=loc)
