import math
import random
import numpy as np
import scipy.stats as stats


def uniform(sz):
    res = stats.uniform.rvs(size=sz)
    if sz == 1:
        return res[0]
    return res


def advanced_uniform(st, end, sz):
    return stats.uniform.rvs(loc=st, scale=end-st, size=sz)


def rand_int_between(ints):
    num = random.randint(0, len(ints))
    return ints[num]


def randint(sz, st, end):
    res = stats.randint.rvs(low=st, high=end, size=sz)
    if sz == 1:
        return res[0]
    return res


def mean_var_rand(sz, mean, var):
    res = [random.gauss(mean, math.sqrt(var)) for i in range(sz)]
    if sz == 1:
        return res[0]
    return res

def rand_int(mn, mx, sz):
    res = np.random.randint(low=mn, high=mx, size=sz)
    if sz == 1:
        return res[0]
    return res
